Bug 505903 - Displayed colors are too bright with KMS on a Radeon 9000
Displayed colors are too bright with KMS on a Radeon 9000
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 12:05 EDT by Marc
Modified: 2011-02-10 16:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Approximate actual display (120.00 KB, image/png)
2009-06-14 12:05 EDT, Marc
no flags Details
Expected display (135.06 KB, image/png)
2009-06-14 12:06 EDT, Marc
no flags Details

  None (edit)
Description Marc 2009-06-14 12:05:16 EDT
Created attachment 347826 [details]
Approximate actual display

Description of problem:

The displayed colors are too bright with a default installation of Fedora 11. The graphics card is a Radeon 9000 (using the free driver), and the monitor is an Acer AL1716. See the attached images for comparison of the actual and expected results.

f11-seen.png is an approximate image of what I actually see on the screen. f11-expected.png is the expected result, and is what is saved taking a screenshot. To generate f11-seen.png I have adjusted the color curves of the real screenshot with the GIMP from Windows.

As you can see, very light colors seem white.

Version-Release number of selected component (if applicable): Fedora 11.

How reproducible:

Steps to Reproduce:
1. Install Fedora 11 in a system with a Radeon 9000 graphics card and an Acer AL1716 monitor.
2. Use the system normally.

Actual results: see f11-seen.png.

Expected results: see f11-expected.png.

Additional info: I have tried to adjust the contrast/brightness of the monitor as a workaround but with unsuccessful results.
Comment 1 Marc 2009-06-14 12:06:13 EDT
Created attachment 347827 [details]
Expected display
Comment 2 Marc 2009-06-14 12:10:26 EDT
I see that the filenames of the attached images are not visible. Here is the correspondence:

f11-seen.png is "Approximate actual display"
f11-expected.png is "Expected display"
Comment 3 Matěj Cepl 2009-06-23 13:18:35 EDT
Is it just the issue with Firefox or with all Gnome apps? If the former, would setting gfx.color_management_mode to 0 help?

Thanks for filing the bug
Comment 4 Marc 2009-06-24 07:27:12 EDT
It's with all Gnome apps.
Comment 5 Marc 2009-06-27 07:41:06 EDT
More info: disabling modesetting solves the problem.
Comment 6 Samuel Sieb 2009-07-20 23:43:14 EDT
I see the same thing on a R430 [Radeon X800 XL], although the interesting thing is that I have two screens and only the first one is too bright, the second one is correct.
Comment 7 Matěj Cepl 2009-11-05 13:31:53 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Marc 2009-11-07 07:38:34 EST
I have tested Fedora 12 Beta Live and the bug persists.
Comment 9 Samuel Lidén Borell 2009-12-29 09:00:11 EST
I have the same problem in Xorg and also in the console, so I think this is a kernel bug. I've reported it in the kernel bug tracker:

http://bugzilla.kernel.org/show_bug.cgi?id=14945
Comment 10 Bug Zapper 2010-04-27 10:54:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Samuel Lidén Borell 2010-06-04 15:34:57 EDT
This has been fixed in the latest Linux kernel (2.6.34), at least for me with a Radeon 9500 Pro.
Comment 12 Bug Zapper 2010-06-28 09:00:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Samuel Sieb 2011-02-09 13:09:45 EST
Can this be reopened as I still see it with F14?  I have two screens and the first one is too bright and the second one is correct.  This happens starting with the plymouth boot screens.  If I test with xrandr I can get the first screen to be around the same as the second one by setting the gamma to 1.5 where the second one is at 1.
Comment 14 Matěj Cepl 2011-02-10 07:49:09 EST
Please, file a new bug report instead (for many technical reasons, it is easier for us to deal with new bugs).

Add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 15 Samuel Sieb 2011-02-10 16:33:38 EST
It appears to be a monitor issue, but strange that it only seemed to happen with ATI video cards.  This issue is closed for me as well.

Note You need to log in before you can comment on or make changes to this bug.